Commit 6a57fc88 authored by eric's avatar eric
Browse files

Tried and tested setup.py,

covering:

The latest markdown plugins

(fixes a problem in annotations,
fixes a problem installing)

Other dependencies in setup.py:

GitPython
(used in aawiki.models, aawiki.models used in aawiki.views. in other parts pygit2 is used)
It would be preferable to just use pygit2

diff_match_patch
(used in aawiki.models.diff)

cssselect
(used in filters.py, ln 147. Even if it is imported as lxml.cssselect, it is its own package)
parent 281e4d05
......@@ -32,9 +32,12 @@ setup(
'Markdown==2.1.0',
'mdx-cite==1.0',
'mdx-del-ins==1.0',
'mdx-outline==1.02',
'mdx-semanticdata==1.0',
'mdx-semanticwikilinks==1.1',
'mdx-outline==1.02.1',
'mdx-semanticdata==1.1',
'mdx-semanticwikilinks==1.1.1',
'diff-match-patch==20120106',
'GitPython==0.3.2.RC1',
'cssselect==0.7.1'
],
classifiers=[
'Development Status :: 2 - Pre-Alpha',
......
Supports Markdown
0% or .
You are about to add 0 people to the discussion. Proceed with caution.
Finish editing this message first!
Please register or to comment